﻿using Silk.NET.OpenGL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nebulix.Rendering;


[Serializable]
public class ShaderCompileException : Exception
{
	protected ShaderType ShaderType;

	public ShaderCompileException(ShaderType shaderType) : base("Unable to compile shader.") { ShaderType = shaderType; }
	public ShaderCompileException(ShaderType shaderType, string message) : base(message) { ShaderType = shaderType; }
	public ShaderCompileException(ShaderType shaderType, string message, Exception inner) : base(message, inner) { ShaderType = shaderType; }

	public override string ToString()
	{
		return $"Type of Shader: '{ShaderType}'" + "\n" + Message;
	}
}
